Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.components
Interface RemoteBean

All Known Implementing Classes:
  AbstractRemoteBean, AbstractValidateBean, Anchor, Bind, Div, Submit

    public interface RemoteBean

Method Summary
`void` | `setAfterNotifyTopics(String afterNotifyTopics)`
`void` | `setBeforeNotifyTopics(String beforeNotifyTopics)`
`void` | `setCssClass(String cssClass)`
`void` | `setCssStyle(String style)`
`void` | `setErrorNotifyTopics(String errorNotifyTopics)`
`void` | `setErrorText(String errorText)`
`void` | `setExecuteScripts(String executeScripts)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHandler(String handler)`
`void` | `setHighlightColor(String color)`
`void` | `setHighlightDuration(String color)`
`void` | `setHref(String href)`
`void` | `setIndicator(String indicator)`
`void` | `setListenTopics(String topics)`
`void` | `setLoadingText(String loadingText)`
`void` | `setName(String name)`
`void` | `setNotifyTopics(String topics)`
`void` | `setParseContent(String parseContent)`
`void` | `setSeparateScripts(String separateScripts)`
`void` | `setShowErrorTransportText(String showError)`
`void` | `setShowLoadingText(String showLoadingText)`
`void` | `setTransport(String transport)`

Method Detail

### setListenTopics

    void setListenTopics(String topics)

### setNotifyTopics

    void setNotifyTopics(String topics)

### setHref

    void setHref(String href)

### setErrorText

    void setErrorText(String errorText)

### setAfterNotifyTopics

    void setAfterNotifyTopics(String afterNotifyTopics)

### setBeforeNotifyTopics

    void setBeforeNotifyTopics(String beforeNotifyTopics)

### setErrorNotifyTopics

    void setErrorNotifyTopics(String errorNotifyTopics)

### setExecuteScripts

    void setExecuteScripts(String executeScripts)

### setLoadingText

    void setLoadingText(String loadingText)

### setHandler

    void setHandler(String handler)

### setFormFilter

    void setFormFilter(String formFilter)

### setFormId

    void setFormId(String formId)

### setShowErrorTransportText

    void setShowErrorTransportText(String showError)

### setShowLoadingText

    void setShowLoadingText(String showLoadingText)

### setIndicator

    void setIndicator(String indicator)

### setName

    void setName(String name)

### setCssStyle

    void setCssStyle(String style)

### setCssClass

    void setCssClass(String cssClass)

### setHighlightColor

    void setHighlightColor(String color)

### setHighlightDuration

    void setHighlightDuration(String color)

### setSeparateScripts

    void setSeparateScripts(String separateScripts)

### setTransport

    void setTransport(String transport)

### setParseContent

    void setParseContent(String parseContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.